Package Details: pam-face-authentication 0.3-7

Git Clone URL: https://aur.archlinux.org/pam-face-authentication.git (read-only)
Package Base: pam-face-authentication
Description: PAM face auth
Upstream URL: http://code.google.com/p/pam-face-authentication
Licenses: GPL
Submitter: None
Maintainer: funilrys
Last Packager: funilrys
Votes: 29
Popularity: 0.429415
First Submitted: 2009-10-10 08:48
Last Updated: 2016-10-30 21:00

Latest Comments

andybutterworth commented on 2016-11-01 15:17

At the continue installing step, I get this issue.

(1/1) checking for file conflicts [-----------------------------------------------------------------] 100%
error: failed to commit transaction (conflicting files)
pam-face-authentication: /lib exists in filesystem

andybutterworth commented on 2016-11-01 15:12

The source line in the PKGBUILD file should use double instead of single quotes, so that the ${pkgver} variable can be correctly interpreted.

Otherwise this happens:

==> ERROR: Failure while downloading https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/pam-face-authentication/pam-face-authentication-${pkgver}.tar.gz
Aborting...

funilrys commented on 2016-10-30 20:57

Fixed @creeper123123321 !

creeper123123321 commented on 2016-10-30 20:49

Please fix the dependency on OpenCV2, not OpenCV

dzaragoza commented on 2013-03-03 17:57

Hello

Please fix the dependency on qt4, not qt.

Regards

dront78 commented on 2013-02-22 04:18

please build fix path to
/usr/share/opencv/OpenCVConfig.cmake

instead of
/usr/share/OpenCV/OpenCVConfig.cmake

Alomsimoy commented on 2012-11-25 14:38

I couldn't continue building with OpenCV in the pkgbuild, but with opencv goes fine.

Anonymous comment on 2012-10-23 10:40

How can I select which webcam to use?

Thanks

hwkiller commented on 2012-10-21 15:35

Excellent. Thanks.

hwkiller commented on 2012-10-21 03:04

Please revise your pkgbuild. Use pajaro's below, but change opencv to OpenCV.

francescortiz commented on 2012-01-11 08:20

use this PKGBUILD:

# Contributor: Carlos RH Ruiz <ruizh.cj@gmail.com>
pkgname=pam-face-authentication
pkgver=0.3
pkgrel=5
pkgdesc="PAM face auth"
arch=('i686' 'x86_64')
url="http://code.google.com/p/pam-face-authentication"
license=('GPL')
#groups=()
depends=('pam' 'opencv>=2.3' 'libx11' 'qt')
makedepends=('cmake')
#provides=()
#conflicts=()
#replaces=()
#backup=()
#install=
source=('http://pam-face-authentication.googlecode.com/files/pam-face-authentication-0.3.tar.gz')
#noextract=()
sha256sums=('24cec1adb649a809fba4a131111df0de5701d8b0ee0b3295c6a80d97f6ddec64')

build() {
cd "$srcdir"/${pkgname}-$pkgver

rm cmake/modules/FindOpenCV.cmake
cp /usr/share/opencv/OpenCVConfig.cmake cmake/modules
sed -i 's/OPENCV_LIBRARIES/OpenCV_LIBS/g' CMakeLists.txt
cmake -D CMAKE_INSTALL_PREFIX=/usr . || return 1
}

package() {
cd ${srcdir}/${pkgname}-$pkgver
make || return 1
make DESTDIR="$pkgdir/" install || return 1
}

Anonymous comment on 2011-09-14 21:05

Moved to pam-face-authentication-svn (ID=52395). I'll update pam-face-authentication there.
I leave this package orphaned.

Anonymous comment on 2011-09-14 21:04

Moved to pam-face-authenticaion-svn (ID=52395) since it's really taken from a subversion repo. I'll update next PKGBUILDs from there.
I orphan this package.

Anonymous comment on 2011-09-14 21:03

Moved to pam-face-authenticaion-svn (ID=52385) since it's really taken from a subversion repo. I'll update next PKGBUILDs from there.
I orphan this package.

Anonymous comment on 2011-09-14 21:03

Moved to pam-face-authenticaion-svn (ID=52385) since it's really taken from a subversion repo. I'll update next PKGBUILDs from there.
I orphan this package.

Anonymous comment on 2011-09-14 20:42

@akshay2000:
I've fixed the 404 error.

In order to keep this clean, please remove comments about solved errors or bugs.

Anonymous comment on 2011-09-14 20:42

@akshay2000:
I've fixed the 404 error. In order to keep this clean, please remove comments about solved errors or bugs.

Anonymous comment on 2011-08-28 06:16

I'm getting an error saying:

Resolving www.google.com... 74.125.236.50, 74.125.236.49, 74.125.236.48, ...
Connecting to www.google.com|74.125.236.50|:443... connected.
HTTP request sent, awaiting response... 404 Not Found
2011-08-28 11:44:32 ERROR 404: Not Found.

==> ERROR: Failure while downloading svn.diff
Aborting...

So, I can't create the package by makepkg. Any help?

Anonymous comment on 2011-08-10 12:17

The checksum of OpenCVConfig.cmake is wrong. Should be 11409234bbc140d6068c3ea06eb52430

Thanks for the PKGBUILD! :-)

Anonymous comment on 2011-08-10 12:04

New release. Solved issue 75 (see google code).

The issue submited by kurisutian was due to a debugging error and i've solved it.

Anonymous comment on 2011-08-10 10:35

It seems like there's still a Bug in there:

collect2: ld returned 1 exit status
make[2]: *** [qt-facetrainer] Error 1
make[1]: *** [CMakeFiles/qt-facetrainer.dir/all] Error 2
make: *** [all] Error 2
==> ERROR: A failure occurred in package().
Aborting...
==> ERROR: Makepkg was unable to build pam-face-authentication.

Anonymous comment on 2011-07-11 17:41

WARNING: I'm working on a final release (0.3-4). Don't install it until I solve the OpenCV bugs.

Anonymous comment on 2011-07-07 15:58

Now (0.3-2) using opencv-old from the AUR instead of opencv from [extra].

schneida commented on 2011-03-11 12:06

Can confirm that it doesn't work with the current opencv from extra.

tea commented on 2011-01-30 20:00

Yep. Unable to compile for the same reasons in the previous comment and having trouble finding 2.1 on this end. Oh well..

foutrelis commented on 2010-12-08 17:45

Didn't want to build with OpenCV 2.2.0 which is currently in [extra]. I had to downgrade to 2.1.0.

The error with 2.2.0 was:

-- Checking GNUCXX version 3/4 to determine OpenCV /opt/net/ path
CMake Error at cmake/modules/FindOpenCV.cmake:239 (MESSAGE):
OpenCV required but some headers or libs not found. Please specify it's
location with OpenCV_ROOT_DIR env. variable.
Call Stack (most recent call first):
CMakeLists.txt:75 (FIND_PACKAGE)


-- Configuring incomplete, errors occurred!

ahioros commented on 2010-11-08 18:39

Great i like, works fine!

dkorzhevin commented on 2010-07-06 13:41

Nice module, it works :)

Anonymous comment on 2010-04-13 09:07

it depends on opencv, take a look at pkgbuild :)

Anonymous comment on 2010-04-13 09:01

isnt this should have opencv=2.0 in deps ?